%define tilp_version 1.17

Name:           libticalcs2
Version:        1.1.8
Release:        0%{?dist}
Summary:        Texas Instruments calculator communication library

Group:          Development/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        http://sourceforge.net/projects/tilp/files/tilp2-linux/tilp2-%{tilp_version}/%{name}-%{version}.tar.bz2

BuildRequires:  glib2-devel, pkgconfig, libticonv-devel, libticables2-devel, libtifiles2-devel, tfdocgen

%package devel

Group:          Development/Libraries
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description
The ticalcs library is a library which brings about all the
functions needed to communicate with a Texas Instruments
graphing calculator (or hand-held). Currently, it does not
support some education devices (such as CBL/CBR and others).
This library is able to communicate with handhelds in a fairly
transparent fashion. With this library, the developer does not
have to worry about the packet oriented protocol, the file
management and some other stuff.

%description devel
Include files and libraries for developing applications
to work with libticalcs.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/libticalcs2.la
cd docs
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/libticalcs2.so.*

%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/libticalcs2.mo
%doc %{_docdir}/libticalcs2/

%files devel
%{_includedir}/tilp2/export3.h
%{_includedir}/tilp2/keys73.h
%{_includedir}/tilp2/keys83p.h
%{_includedir}/tilp2/keys89.h
%{_includedir}/tilp2/keys92p.h
%{_includedir}/tilp2/stdints3.h
%{_includedir}/tilp2/ticalcs.h
%{_includedir}/tilp2/cmd73.h
%{_includedir}/tilp2/dbus_pkt.h
%{_includedir}/tilp2/dusb_cmd.h
%{_includedir}/tilp2/dusb_rpkt.h
%{_includedir}/tilp2/dusb_vpkt.h
%{_includedir}/tilp2/keys83.h
%{_includedir}/tilp2/keys86.h
%{_includedir}/tilp2/nsp_cmd.h
%{_includedir}/tilp2/nsp_vpkt.h
%{_libdir}/pkgconfig/ticalcs2.pc
%{_libdir}/libticalcs2.so

%changelog
* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.8-0
- Updated to latest upstream version of tilp

* Wed Jul 11 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.7-2
- Added full documentation, built by tfdocgen

* Thu Jul 05 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.7-1
- Moved pkgconfig file and non-versioned *.so  to devel package
- Removed libtool archive from the package
- Package now depends on devel subpackages of other libti* libraries

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.7-0
- Updated to version 1.1.7
- Added new -devel subpackage for the include files
- Vastly improved spec file

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.6-0
- Initial version of the package
